/* @import "_m-title-scrollable-content-cta"; */

.m-title-scrollable-content-cta {
  --m-title-scrollable-content-cta-shadow-color: var(--color-white);
  --m-title-scrollable-content-cta-shadow-degree: 180deg;
  --m-title-scrollable-content-cta-scrollable-inner-padding: 1.125rem 1.25rem;

  height: 23.125rem;
  background-color: var(--color-white);
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.m-title-scrollable-content-cta--second {
    --m-title-scrollable-content-cta-shadow-color: rgba(37, 44, 50, 0.3);
    --m-title-scrollable-content-cta-scrollable-inner-padding: 0;

    border-radius: 0;
    overflow: visible;
    background-color: transparent;
  }

.m-title-scrollable-content-cta__title {
    font-size: var(--font-size--base);
    line-height: 0.9375;
    padding: 1.375rem 1.25rem;
    border-bottom: 1px solid var(--color-text-dark-lt-grey);
    flex-shrink: 0;
    color: var(--color-secondary-dk-blue);
    text-transform: uppercase;
  }

.m-title-scrollable-content-cta--second .m-title-scrollable-content-cta__title {
      background-color: var(--color-white);
    }

.m-title-scrollable-content-cta__content {
    flex-grow: 1;
    min-height: 0;
    overflow: hidden;
    position: relative;
  }

@media all and (min-width: 1024px) {

.m-title-scrollable-content-cta--second .m-title-scrollable-content-cta__content {
        overflow: visible
    }
      }

.m-title-scrollable-content-cta__shadow {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
  }

.m-title-scrollable-content-cta__shadow::before, .m-title-scrollable-content-cta__shadow::after {
      opacity: 0;
      content: "";
      height: 1.25rem;
      width: 100%;
      position: absolute;
      left: 0;
      z-index: 3;
      transition: opacity var(--transition-hover);
      background-image: linear-gradient(var(--m-title-scrollable-content-cta-shadow-degree), var(--m-title-scrollable-content-cta-shadow-color), transparent);
    }

.m-title-scrollable-content-cta__shadow::before {
      top: 0;
    }

.m-title-scrollable-content-cta__shadow::after {
      --m-title-scrollable-content-cta-shadow-degree: 0deg;

      bottom: 0;
    }

.m-title-scrollable-content-cta__shadow--top::before {
      opacity: 1;
    }

.m-title-scrollable-content-cta__shadow--bottom::after {
      opacity: 1;
    }

.m-title-scrollable-content-cta__scrollable {
    position: relative;
    height: 100%;
    overflow: auto;
    z-index: 2;
  }

.m-title-scrollable-content-cta--second .m-title-scrollable-content-cta__scrollable {
      overflow: visible;
    }

.m-title-scrollable-content-cta__scrollable-inner {
    padding: var(--m-title-scrollable-content-cta-scrollable-inner-padding);
  }

.m-title-scrollable-content-cta--second .m-title-scrollable-content-cta__scrollable-inner {
      height: 100%;
    }

.m-title-scrollable-content-cta__cta {
    border-top: 1px solid var(--color-text-dark-lt-grey);
    margin-top: auto;
    flex-shrink: 0;
    padding: 0.625rem 1.25rem;
    display: flex;
    justify-content: center;
  }

.m-title-scrollable-content-cta--second .m-title-scrollable-content-cta__cta {
      background-color: var(--color-white);
    }
